Package ru.bitel.bgbilling.modules.sorm.common.bean

# Class InstalledInstanceModule

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.modules.sorm.common.bean.InstalledInstanceModule

All Implemented Interfaces:
  `java.io.Serializable`, `GuiTitlable`, `Idable`, `ListItem`

    public class InstalledInstanceModule
    extends IdTitle

Бин установленного экземпляра модуля, который подлежит выгрузке в рамках СОРМ

See Also:
  Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `InstalledInstanceModule()` |
  `InstalledInstanceModule​(java.lang.String title, java.lang.String titleModule, int mid)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `int` | `getModuleId()` | Возвращает id экземпляра модуля
  `java.lang.String` | `getTitle()` | Возвращает название экземпляра модуля
  `java.lang.String` | `getTitleModule()` | Возвращает название модуля
  `boolean` | `isSelected()` | Флаг, что экземпляр модуля выбран для выгрузки
  `void` | `setModuleId​(int moduleId)` |
  `void` | `setSelected​(boolean selected)` | Установить флаг, чтобы выгружались данные по экземпляру модуля
  `void` | `setTitle​(java.lang.String title)` | Устанавливает название (описание) объекта
  `void` | `setTitleModule​(java.lang.String titleModule)` |
  `java.lang.String` | `toString()` |

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, toIdTitle`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### InstalledInstanceModule

    public InstalledInstanceModule()

  - ### InstalledInstanceModule

    public InstalledInstanceModule​(java.lang.String title, java.lang.String titleModule, int mid)

- ## Method Details

  - ### getTitleModule

    public java.lang.String getTitleModule()
    Возвращает название модуля
    Returns:

  - ### setTitleModule

    public void setTitleModule​(java.lang.String titleModule)

  - ### getTitle

    public java.lang.String getTitle()
    Возвращает название экземпляра модуля
    Specified by:
      `getTitle` in interface `ListItem`
    Overrides:
      `getTitle` in class `IdTitle`
    Returns:

  - ### setTitle

    public void setTitle​(java.lang.String title)
    Description copied from class: `IdTitle`
    Устанавливает название (описание) объекта
    Overrides:
      `setTitle` in class `IdTitle`

  - ### getModuleId

    public int getModuleId()
    Возвращает id экземпляра модуля
    Returns:

  - ### setModuleId

    public void setModuleId​(int moduleId)

  - ### isSelected

    public boolean isSelected()
    Флаг, что экземпляр модуля выбран для выгрузки
    Returns:

  - ### setSelected

    public void setSelected​(boolean selected)
    Установить флаг, чтобы выгружались данные по экземпляру модуля
    Parameters:
      `selected` -

  - ### toString

    public java.lang.String toString()
    Overrides:
      `toString` in class `IdTitle`